Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Update an order

Idempotency Supported

Updates an order. If the status of an order is changed while updating the order, the status_update_at attribute is set with the current time.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/orders/{order-id}

Input Parameters

reference_id
optional, string, max chars=50

Reference id is the unique identifier of the order in the shipping/order management application.

batch_id
optional, string, max chars=50

Unique id to identify a group of orders.

note
optional, string, max chars=600

The custom note for the order.

shipping_date
optional, timestamp(UTC) in seconds

The date on which the order should be shipped to the customer.

order_date
optional, timestamp(UTC) in seconds

The order date.

cancelled_at
optional, timestamp(UTC) in seconds

The time at which the order was cancelled.

cancellation_reason
optional, enumerated string

Cancellation reason.

Enum Values
shipping_cut_off_passed

The invoice has been paid late and Chargebee cancel's the first order for the invoice.

product_unsatisfactory

Product unsatisfactory.

third_party_cancellation

Third party cancellation.

product_not_required

Product not required.

delivery_date_missed

Delivery date missed.

shipped_at
optional, timestamp(UTC) in seconds

The time at which the order was shipped.

delivered_at
optional, timestamp(UTC) in seconds

The time at which the order was delivered.

tracking_url
optional, string, max chars=255

The tracking url of the order.

tracking_id
optional, string, max chars=50

The tracking id of the order.

shipment_carrier
optional, string, max chars=50

The carrier used to ship the goods to the customer. Ex:- FedEx.

fulfillment_status
optional, string, max chars=50

The fulfillment status of an order as reflected in the shipping/order management application. Typical statuses include Shipped,Awaiting Shipment,Not fulfilled etc;.

status
optional, enumerated string, default=new

The order status.

Enum Values
new

Order has been created. Applicable only if you are using Chargebee's legacy order management system.

processing

Order is being processed. Applicable only if you are using Chargebee's legacy order management system

complete

Order has been processed successfully. Applicable only if you are using Chargebee's legacy order management system

cancelled

Order has been cancelled. Applicable only if you are using Chargebee's legacy order management system

voided

Order has been voided. Applicable only if you are using Chargebee's legacy order management system

shipping_address
Parameters for shipping_address
pass parameters as shipping_address[<param name>]
order_line_items[0..n]
Parameters for order_line_items. Multiple order_line_items can be passed by specifying unique indices.
pass parameters as order_line_items[<param name>][<idx:0..n>]

Returns

Order object
Resource object representing order